ttdt_open(library call)

NAME
ttdt_open — create a ToolTalk communication endpoint

SYNOPSIS

#include &<Tt/tttk.h>
char *ttdt_open(
int *ttfd,
const char *toolname,
const char *vendor,
const char *version,
int sendStarted);

DESCRIPTION

The ttdt_open function calls tt_open(3) and tt_fd(3). It associates toolname, vendor and version with the created procid, and initializes the new procid's default contexts from the process environment. If sendStarted is True, ttdt_open sends a Started notice.

RETURN VALUE

Upon successful completion, the ttdt_open function returns the created procid in a string that can be freed with tt_free; otherwise, the ttdt_open function may return any of the errors returned by tt_open(3) and tt_fd(3).

No errors are propagated if sending the Started notice fails.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttdt_close(3), tt_open(3), tt_fd(3), tt_free(3).